#!/bin/sh

cd `dirname $0`

FIC_LOG="/var/log/messages"
FIC_AUTORISES="su-autorises"

egrep "for user root by|su: \(to root\) " /var/log/messages $FIC_LOG | fgrep -v -f $FIC_AUTORISES > /tmp/su.$$

if [ -s /tmp/su.$$ ]
then
	echo "******************************************"
	echo "* su -> root de personnes non autorisees *"
	echo "******************************************"
	echo
        cat /tmp/su.$$
	echo
fi
rm -f /tmp/su.$$

egrep "authentication failure.*\-> root|FAILED SU \(to root\) " $FIC_LOG > /tmp/su.$$
if [ -s /tmp/su.$$ ]
then
	echo "*********************************************"
	echo "* su -> root avec mauvaise authentification *"
	echo "*********************************************"
	echo
        cat /tmp/su.$$
echo
fi
rm -f /tmp/su.$$
